Bug 54694 - [Chromium] videos are not painted for compositing/ tests
Summary: [Chromium] videos are not painted for compositing/ tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Victoria Kirst
URL:
Keywords:
Depends on: 55269
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-17 15:46 PST by Mihai Parparita
Modified: 2011-03-01 21:50 PST (History)
4 users (show)

See Also:


Attachments
Patch (1.36 MB, patch)
2011-03-01 15:41 PST, Victoria Kirst
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mihai Parparita 2011-02-17 15:46:42 PST
The following tests all fail with new-run-webkit-tests --platform=chromium-gpu (once bug 47231 is fixed) with image diffs on the Mac (haven't verified other platforms yet):

compositing/geometry/clipped-video-controller.html 
compositing/geometry/video-fixed-scrolling.html 
compositing/geometry/video-opacity-overlay.html 
compositing/layers-inside-overflow-scroll.html 
compositing/overflow/overflow-compositing-descendant.html 
compositing/overflow/scroll-ancestor-update.html 
compositing/reflections/load-video-in-reflection.html 
compositing/self-painting-layers.html 
compositing/self-painting-layers2.html 
compositing/video/video-background-color.html 
compositing/video/video-poster.html 

The video does not appear to get displayed when run under the DRT (w/ Mesa), though it does get displayed when run under Chrome.
Comment 2 Victoria Kirst 2011-02-23 17:00:24 PST
Hi Mihai! I am having a similar problem with some of our media tests. I am imagining they are the same problem. Once I figure out what's going on in media land, I will see if the same thing is happening here.
Comment 3 Victoria Kirst 2011-02-24 18:06:42 PST
OK, figured out the problem. VideoLayerChromium uses mapTexSubImage2DCHROMIUM to update textures and that is not supported in MESA it seems (or it fails anyway). There is a TODO to have an appropriate fall back when this fails, but TODO wasn't implemented :) 

But if I fall back to normal texSubImage2D, videos are painted with DRT and Mesa! I'll upload that patch and rebaselined images.
Comment 4 Victoria Kirst 2011-03-01 15:41:51 PST
Created attachment 84311 [details]
Patch
Comment 5 Kenneth Russell 2011-03-01 15:50:33 PST
Comment on attachment 84311 [details]
Patch

Looks good to me.
Comment 6 WebKit Commit Bot 2011-03-01 21:50:28 PST
Comment on attachment 84311 [details]
Patch

Clearing flags on attachment: 84311

Committed r80091: <http://trac.webkit.org/changeset/80091>
Comment 7 WebKit Commit Bot 2011-03-01 21:50:35 PST
All reviewed patches have been landed.  Closing bug.